Skip to content

listFunctions

GET
/v0/projects/{id}/functions
curl --request GET \
--url https://infra-hyphae.run/v0/projects/example/functions \
--header 'Authorization: Bearer <token>'
id
required
string
/^prj_[0-9a-f]{16}$/

Deployed functions and the runtime the daemon will use (node, deno, or none).

Media typeapplication/json
object
functions
required
Array<object>
object
project
required
string
/^prj_[0-9a-f]{16}$/
name
required
string
/^[a-z0-9_]{1,40}$/
version
required
integer
sha256
required

SHA-256 hex of the deployed source.

string
size
required
integer
runtime
required
string
Allowed values: node deno none
created_at
required

RFC 3339, UTC.

string format: date-time
updated_at
required

RFC 3339, UTC.

string format: date-time
runtime
required
string
Allowed values: node deno none
Example
{
"functions": [
{
"runtime": "node"
}
],
"runtime": "node"
}

Missing, malformed, duplicate, or unknown credential (authentication_required).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid_request authentication_required authorization_denied not_found conflict payload_too_large not_implemented tenant_not_running tenant_running function_runtime_missing function_timeout function_bad_output function_busy orchestrator_unavailable upstream_unavailable internal
message
required
string
Example
{
"error": {
"code": "invalid_request"
}
}
WWW-Authenticate
string
Allowed value: Bearer realm="hyphae-cloud"

Unknown route, or a project the caller does not own (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid_request authentication_required authorization_denied not_found conflict payload_too_large not_implemented tenant_not_running tenant_running function_runtime_missing function_timeout function_bad_output function_busy orchestrator_unavailable upstream_unavailable internal
message
required
string
Example
{
"error": {
"code": "invalid_request"
}
}